package QtCore::QSize;

use 5.008000;
use strict;
use warnings;
use Carp qw/carp croak/;

use QtCore; # bootstraps QtCore.xs
QtCore::bootstrap_subpackage 'QSize';


sub new {
    my $class = shift @_;
    if ( scalar(@_) == 0 ) {
	return new1($class);
    }
    if ( scalar(@_) == 2 ) {
	return new2($class, $_[0], $_[1]);
    }
    croak("ожидалось 0 или 2 параметра\n");
}


use overload
    '+'  => \&_plus,
    '+=' => \&_plus_eq,
    '""' => sub { $_[0] };

sub _plus_eq {
    unless ( ref($_[1]) ) {
	croak("need QSize1 += QSize2\n");
	return;
    }
    operator_plus_eq($_[0], $_[1]);
    return $_[0]; # возвращается указатель на тот же экземпляр класса
}

sub _plus {
    if ( ref($_[0]) and ref($_[1]) ) {
	return operator_plus($_[0], $_[1]);
    }
    croak("Need QSize1 = QSize2 + QSize3\n");
}




1;
__END__
