#ifdef __cplusplus
extern "C" {
#endif
#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"
#ifdef __cplusplus
}
#endif

#include <QtCore/qsize.h>
#define Qt__AspectRatioMode Qt::AspectRatioMode

MODULE = QtCore::QSize		PACKAGE = QtCore::QSize

PROTOTYPES: ENABLE

QSize *
new1(CLASS)
    char * CLASS
    CODE:
	RETVAL = new QSize();
    OUTPUT:
	RETVAL


QSize *
new2(CLASS, w, h);
    int w
    int h
    char * CLASS
    CODE:
        RETVAL = new QSize(w, h);
    OUTPUT:
        RETVAL


bool
QSize::isEmpty()    


int
QSize::width()


int
QSize::height()


void
QSize::setWidth(w)
    int w
    

void
QSize::setHeight(h)
    int h


void
QSize::scale(w, h, mode)
    int w
    int h
    Qt::AspectRatioMode mode
    CODE:
	THIS->scale(w, h, mode);


void
QSize::operator_plus_eq(otherSize)
    QSize * otherSize
    CODE:
	THIS->operator+= (*otherSize);


QSize *
QSize::operator_plus(qsize2)
    QSize * qsize2
    PREINIT:
	char * CLASS = "QtCore::QSize";
    CODE:
	RETVAL = new QSize();
	*RETVAL = (operator+ ( *THIS, *qsize2 ));
    OUTPUT:
	RETVAL


void
QSize::DESTROY()




